
Tomas Tech Co.,Ltd. - Sales support #358

Parent project # 533 (New): [PJ******]General and administrative expenses

Ricoh Thailand meeting with Shimmizu

10 Jan 2024 08:09 - Ryo Nozaki

Status: Closed Start date: 08 Jan 2024

Priority: Normal Due date: 08 Jan 2024

Assignee: Ryo Nozaki % Done: 100%

Category:  Estimated time: 4.00 hours

Target version:  Spent time: 4.00 hours

Finish date:    

Description

History

#1 - 10 Jan 2024 08:11 - Ryo Nozaki

- Status changed from New to Closed

- % Done changed from 0 to 100

#2 - 04 May 2024 17:22 - Ryo Nozaki

- Project changed from 42 to Tomas Tech Co.,Ltd.

- Parent task set to #533
